import 'package:flutter/material.dart';

import '../../model/word.dart';
import 'components/words_screen.dart';


class HomePage extends StatelessWidget {
  HomePage({super.key});
  final TextEditingController _textHomepageContoller = TextEditingController();
  late List<WordsScreen> listaWidget;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SingleChildScrollView(
          child: Column(
            children: [
              const SizedBox(height: 50),
              Image.asset('assets/Logo/logoMottola.png', width: 250, height: 250),
              const SizedBox(height: 20),
              //const Image(
              //  image: AssetImage('assets/Logo/logoMottola.png',),
              //),
              Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                Image.asset('assets/icons/italy.png', width: 40, height: 40),
                const SizedBox(width: 20),
                Image.asset('assets/icons/next.png', width: 30, height:30),
                const SizedBox(width: 10),
                //Text('  -->  ', style: TextStyle(fontSize: 30, color: Colors.grey[800])),
                Image.asset('assets/icons/flagMottola.png', width: 54, height: 54),
              ]),
              const SizedBox(height: 20),
              TextField(
                controller: _textHomepageContoller,
                keyboardType: TextInputType.multiline,
                maxLines: null,
                style: TextStyle(fontSize: 20, color: Colors.grey[800]),
                decoration: const InputDecoration(
                  hintText: 'Parola Italiana',
                  hintStyle: TextStyle(fontSize: 20)
                ),
              ),
              const SizedBox(height: 20),
              Container(
                margin: const EdgeInsets.all(10.0),
                width:  500,
                height: 100,
                decoration: BoxDecoration(
                  color: const Color(0x9121781C),
                  borderRadius: BorderRadius.circular(10.0),
                ),
                child: const Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.center,
                    children: [
                      WordsScreen(),
                      //Align(
                      //  alignment: Alignment.center,
                      //  child: Text("ESEMPIO",
                      //      style: TextStyle(fontSize: 30, color: Color(0xFFFFFFFF),fontWeight: FontWeight.bold)),
                      //),
                    ]
                ),
              ),
              const SizedBox(height: 20),
              TextButton(
                onPressed: () {
                  showDialog(
                    context: context,
                    builder: (context) {
                      if (_textHomepageContoller.text.isEmpty){
                        return const AlertDialog(

                          content: Text('Inserisci la parola italiana da tradurre', style: TextStyle(color: Color(
                              0xFFFF0000), fontSize: 25, fontWeight: FontWeight.bold)),
                        );
                      }else{
                        //return AlertDialog(
                          // Retrieve the text the that user has entered by using the
                          // TextEditingController.
                        //  content: Text(_textHomepageContoller.text),
                        //);

                        return WordsScreen();
                      }
                    },
                  );
                },
                child: Text('Traduci'),
                style: ElevatedButton.styleFrom(
                    backgroundColor: const Color(0xFFDF930B),
                    padding: const EdgeInsets.symmetric(horizontal: 30, vertical: 20),
                    textStyle: const TextStyle(
                        fontSize: 15,
                        fontWeight: FontWeight.bold)),
              ),
              //WordsScreen(),
            ],
          ),
        ),
    );
  }
}
